Evaluate licenses that currently appear in the source

2010-04-20 21:29 - Dave Vieglais

Status: Closed Start date: 2012-03-26

Priority: Normal Due date:  

Assignee: Dave Vieglais % Done: 100%

Category: Documentation Estimated time: 0.00 hour

Target version: Sprint-2012.17-Block.3.1   

Story Points:    

Description

The following licenses currently appear in the source:

GNU General Public License 2.0 (Vocabtm, service-api-java, sync_ldap_mailman, d1-java)

Apache License 2.0 (Components for Mercury, such as Lucene)

NASA Open Source License v1.3 (ORNL-written portions of Mercury)

GNU Lesser General Public License 2.1 (SemEvoInfoWS)

GNU Lesser General Public License 3 (SemEvoInfoWS)

BSD Copyright (SemEvoInfoWS)

CeCILL-C Free Software License (SemEvoInfoWS)

GNU General Public License 3 or later (SemEvoInfoWS)

Of these, it appears, the main ones to consider then for existing code are: "GNU General Public License 2.0":

http://www.opensource.org/licenses/gpl-2.0.php and "Apache License 2.0":http://www.opensource.org/licenses/apache2.0.php

NASA open source license: http://www.opensource.org/licenses/nasa1.3.php -- It's a Berkeley-style license, but carries

indemnification language necessary for US Federal agencies and FFRDC's like ORNL (Federally Funded Research and

Development Centers), which have certain statutory and prime contract requirements.  

Subtasks:

Task # 2529: Verify Java source code has proper licenses. Closed

Task # 2530: Verify Python source code has proper licenses. Closed

History

#1 - 2010-04-20 21:52 - Matthew Jones

I think we should also consider use of the BSD license, which is significantly simpler than the Apache license, and grants wider latitude to others to

use the licenses.  One major difference is in the patent claim release in Apache 2.0, which might be useful (and is orthogonal to copyright). 

Interestingly, although as a project we might decide on a license to use, each of the contributors works for an institution that will have its own licensing

policies.  Each contributor needs to be sure they have the authority to release their work under a license.  For example, I work for UC, and all of my

work is Copyright UC Regents, but there is a policy for academic grants that allows me to release open source (but UC still has copyright).  When

multiple contributors from different institutions modify files, the copyright status of the file/work becomes somewhat muddy (could either be copyright

by the original contributor and others are modifying based on the license, or could be joint copyright on the file).

Another point: Metacat and Morpho are GPL, which has worked fine and has the benefit of keeping derived works available.  But Kepler is BSD,

because we didn't want the viral aspects of the GPL.  Which means we can not include GPL code in Kepler -- in practice this takes a lot of attention to

the license details as developers incorporate new libraries.  Developing a good project-wide open-source licensing policy now would be useful.
#2 - 2010-04-20 22:05 - Dave Vieglais

Copying very relevant comment:1:#587 to user story #586.  This task was specifically to evaluate the licenses currently appearing in the code and the

libraries its dependent on (though the description is a bit misleading)  

#3 - 2010-08-12 22:01 - Dave Vieglais

General solution is to work with Apache 2.0.  

This process needs to be completed as part of hte prototype review.

#4 - 2010-10-06 21:49 - Dave Vieglais

- Milestone set to CCI-0.6

- Tracker changed from Task to Story

- Status changed from New to 3

- Target version deleted (CCI.Prototype.Review)

- Start date set to 2010-10-06

This appears to be completed for the most part.  There are likely to be a few remaining files / folders that are not appropriately tagged with license

information and these need to be corrected. 

Re-structuring this as a story that will have specific tasks to review and edit source as necessary.

#5 - 2010-10-06 22:11 - Dave Vieglais

- Status changed from 3 to In Progress

#6 - 2012-02-08 19:53 - Dave Vieglais

- Target version set to Sprint-2012.07-Block.1.4

- Position set to 39

#7 - 2012-02-27 18:14 - Dave Vieglais

- Target version changed from Sprint-2012.07-Block.1.4 to Sprint-2012.09-Block.2.1

- Position deleted (53)

- Position set to 1

#8 - 2012-03-16 02:38 - Dave Vieglais

- Position deleted (53)

- Target version changed from Sprint-2012.09-Block.2.1 to Sprint-2012.11-Block.2.2

- Position set to 38

#9 - 2012-04-23 17:06 - Dave Vieglais

- Position set to 9

- Target version changed from Sprint-2012.11-Block.2.2 to Sprint-2012.17-Block.3.1

- Position deleted (49)

#10 - 2012-05-07 17:32 - Andrew Pippin

- Status changed from In Progress to Closed

- Milestone changed from CCI-0.6 to None
Complete.
